Skip to navigation

Retrieve image by size

Retrieve the JSON description or the binary of the requested image.

Use the Accept header to specify the response format. If you use application/json, the JSON representation of the resource will be returned. Otherwise, the image as a binary will be returned (if the MIME type matches with the stored image).

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

image_idstringRequired
Unique ID for the image to retrieve.
sizeenumRequired

Image size to retrieve.

default is scaled to a width of 800px.

mobile is scaled to a width of 460px.

thumbnail is scaled so that the smallest image side equals the largest of either 80px wide or 50px in height and then cropped.

Allowed values:

Response

OK
idstringOptional
Unique ID for the image.
srcstringOptional
URL for the image.
file_namestringOptional

File name for the image (specified when image is created).

widthintegerOptional
Width of the image in pixels.
heightintegerOptional
Height of the image in pixels.
media_typeenumOptional
The MIME type of the image.
Allowed values:
has_alphabooleanOptional

True if image has alpha channel (some degree of transparency). Otherwise, false.

avg_colorstringOptional
Average color of the image in hexadecimal format.